Bug 214651 - REGRESSION: ASSERTION FAILED: !needsLayout() on tiled-drawing/scrolling/fast-scroll-mainframe-zoom.html flakily
Summary: REGRESSION: ASSERTION FAILED: !needsLayout() on tiled-drawing/scrolling/fast-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Macintosh Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-07-22 13:26 PDT by Karl Rackler
Modified: 2020-07-29 13:00 PDT (History)
4 users (show)

See Also:


Attachments
crash log (86.64 KB, text/plain)
2020-07-23 10:18 PDT, Ryan Haddad
no flags Details
Patch (5.23 KB, patch)
2020-07-29 10:51 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Rackler 2020-07-22 13:26:47 PDT
Description:
tiled-drawing/scrolling/fast-scroll-mainframe-zoom.html

This issue seems to have started approximately 07/17/20 and flaky crash every day since then.

History:
https://results.webkit.org/?suite=layout-tests&test=tiled-drawing%2Fscrolling%2Ffast-scroll-mainframe-zoom.html&limit=50000&platform=mac&style=debug

Crash Log:
Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.JavaScriptCore      	0x00000003340a8dc0 WTFCrash + 16 (Assertions.cpp:295)
1   com.apple.WebCore             	0x0000000315a1f9ab WTFCrashWithInfo(int, char const*, char const*, int) + 27
2   com.apple.WebCore             	0x0000000319f1fabb WebCore::RenderView::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&) + 123 (RenderView.cpp:306)
3   com.apple.WebCore             	0x0000000319dcadbd WebCore::RenderLayer::paintBackgroundForFragments(WTF::Vector<WebCore::LayerFragment, 1ul, WTF::CrashOnOverflow, 16ul, WTF::FastMalloc> const&, WebCore::GraphicsContext&, WebCore::GraphicsContext&, WebCore::LayoutRect const&, bool, WebCore::RenderLayer::LayerPaintingInfo const&, WTF::OptionSet<WebCore::PaintBehavior>, WebCore::RenderObject*) + 637 (RenderLayer.cpp:5048)
4   com.apple.WebCore             	0x0000000319dc7036 WebCore::RenderLayer::paintLayerContents(WebCore::GraphicsContext&, WebCore::RenderLayer::LayerPaintingInfo const&, WTF::OptionSet<WebCore::RenderLayer::PaintLayerFlag>) + 2582 (RenderLayer.cpp:4695)
5   com.apple.WebCore             	0x0000000319dea953 WebCore::RenderLayerBacking::paintIntoLayer(WebCore::GraphicsLayer const*, WebCore::GraphicsContext&, WebCore::IntRect const&, WTF::OptionSet<WebCore::PaintBehavior>, WebCore::EventRegionContext*)::$_21::operator()(WebCore::RenderLayer&, WTF::OptionSet<WebCore::RenderLayer::PaintLayerFlag>) const + 403 (RenderLayerBacking.cpp:3027)
Comment 1 Radar WebKit Bug Importer 2020-07-22 13:27:51 PDT
<rdar://problem/65952371>
Comment 2 Karl Rackler 2020-07-22 14:05:17 PDT
I have marked these tests as failing while this issue is investigated.
https://trac.webkit.org/changeset/264725/webkit
Comment 3 Ryan Haddad 2020-07-23 10:18:57 PDT
Created attachment 405050 [details]
crash log

ASSERTION FAILED: !needsLayout()
./rendering/RenderView.cpp(306) : virtual void WebCore::RenderView::paint(WebCore::PaintInfo &, const WebCore::LayoutPoint &)
Comment 4 Simon Fraser (smfr) 2020-07-29 10:51:15 PDT
Created attachment 405473 [details]
Patch
Comment 5 zalan 2020-07-29 10:55:48 PDT
Comment on attachment 405473 [details]
Patch

At some point we should add a style-and-layout-update-is-not-allowed-here-scope-checker.
Comment 6 EWS 2020-07-29 13:00:54 PDT
Committed r265051: <https://trac.webkit.org/changeset/265051>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 405473 [details].